---
status: draft
title: 2024
---

Après quelques années passées à [faire de la bière](https://vieuxsinge.com), 2024 aura signé mon retour vers le développement logiciel au niveau pro.

J'ai bossé sur les projets suivants:

- [Argos Monitoring](https://argos-monitoring.framasoft.org/), un système de supervision de services HTTP, fait pour et avec l'association [Framasoft](https://framasoft.org/)
- L'ajout de collaboration temps réel dans l'outil de cartographie Web [uMap](https://umap-project.org/). L'occasion de bosser avec Yohan et David.
- La maintenance de [Dangerzone](https://dangerzone.rocks/) un outil qui transforme des documents potentiellement dangereux en documents *safe*, pour le compte de [Freedom of the Press Foundation](https://freedom.press)

### Argos

Un des besoins derrière ce projet était de faire un outil qui corresponde vraiment aux usages de Luc, l'administrateur système de chez Framasoft. Il existe d'autres systèmes de supervision, mais aucun ne répondait à ses besoins, et je pense qu'il y avait aussi une envie de pouvoir modifier facilement le projet pour le faire aller là où il voulait sur le moyen terme.

C'était pour moi un vrai plaisir que de bosser sur ce projet, parce je partage assez fortement certaines des valeurs défendues par l'association, et que j'avais l'impression de répondre à un vrai besoin de leur côté, tout en étant en plein dans mon domaine de compétences.

L'occasion pour moi de découvrir certains outils (le framework [fastapi](https://fastapi.tiangolo.com/), de remettre le pied à l'étrier et de prendre du plaisir.

C'était une mission assez courte (10 jours de travail), mais je suis très satisfait du résultat et de la manière dont on a pu travailler sur le projet.

### uMap
 
J'ai ensuite bossé sur le projet uMap, qui est un outil pour réaliser et partager ses propres cartes sur le Web, ma mission étant de faire en sorte qu'il soit possible d'être plusieurs à collaborer sur une carte en même temps.

C'était en fait un challenge de taille parce qu'il fallait réussir à comprendre le code actuel, écrit en partie il y a quasiment une dizaine d'années, le faire évoluer pour intégrer des changements qui rendent possible le travail à plusieurs, tout en gérant un niveau de confiance en moi assez faible.

Des challenges humains aussi, parce que passer d'un projet écrit et maintenu pendant une dizaine d'années à un projet écrit à plusieurs mains ne se fait pas *d'un coup d'un seul*. Quelques discussions difficiles, parfois frustrantes, mais le mouvement général aura été très intéressant à accompagner, et je suis content de la dynamique que semble prendre l'équipe en fin de parcours (pour moi). Pour preuve, je pense continuer de contribuer à titre bénévole sur certains aspects.

J'ai tenté de [documenter une partie du parcours](https://blog.notmyidea.org/tag/umap.html), et le travail n'est pas encore tout à fait terminé. Bientôt, bientôt.

J'ai réduit la voilure sur la fin du projet parce que *Dangerzone* + *uMap*, c'était trop. Content d'avoir réussi à le voir et de m'être adapté. Content aussi que l'équipe ait rendu ça possible.

### Dangerzone

Dangerzone est un outil qui permet de transformer des documents potentiellement dangereux en documents *safe*.

Le périmètre fonctionnel est réduit, mais tout ça reste assez en dehors des compétences spécifiques que j'ai pu avoir autour des technologies Web. C'est l'occasion pour moi de continuer de travailler sur des questions de vie privée, tout en faisant le pont avec des technologies quasiment inconnues pour moi.

J'en ai donc profité pour me former autour des enjeux de sécurité et de comment ceux-cis peuvent êtres apportés par des conteneurs Docker, et le noyau Linux.

Un peu difficile au départ, mais passionnant :-)

## Apprentissages

J'ai peu faire quelques apprentissages cette année:

### Conflits et collectifs

En parallèle, je me forme en autodidacte à la *gestion de conflits* dans les collectifs, motivé entre autres par des expériences « riches mais douloureuses » en la matière. A travers quelques lectures sur le sujet, mais aussi des rencontres humaines. J'aimerai que 2025 me laisse un peu plus de temps pour continuer cette exploration.

### Estime de soi

Une des choses qui m'aura pris le plus de temps, et qui aura été le plus difficile à accepter et à surmonter c'est mon manque d'estime de moi. Par moments, cela passe par avoir besoin de validation extérieure, et par le fait de faire le travail d'accepter et d'affirmer ses points de vues.

Je ne renterais pas trop dans les détails, mais ça à été un de mes apprentissages majeurs de l'année. Il fallait à la fois défaire plusieurs années de critiques et de dévalorisation, et démêler la part de vérité dans ma peur de ne pas être à la hauteur.

Parce que... de fait, après quelques années à faire « autre chose », j'étais parfois un peu rouillé.

### L'accueil

Ça a été criant pour moi sur le dernier projet en date, « Dangerzone » puisque
j'y travaille sur des technologies auxquelles je n'ai quasiment jamais été
exposé jusqu'ici (docker, le noyau Linux et Qt). 

Finalement, je me rends compte que les compétences techniques ne sont qu'une partie de l'équation, et pas la plus importante. La manière dont nous interagissons ensemble, dont l'accueil est pensé, dont finalement nous faisons équipe me semble plus importante pour le développement du projet sur le long court.

Je repense [aux étapes du faire équipe](https://blog.notmyidea.org/oser-la-confiance.html#faire-equipe), qui nous montrent qu'il est indispensable de sortir de « la logique des territoires » (qu'on pourrait nommer compétition) pour aller vers une vraie collaboration.

> Dans l’équipe performante, troisième étape, **les personnes ont suffisamment conscience de leur identité et de leur complémentarité pour pouvoir la dépasser et se centrer sur le sens et la vision commune**. Chacun se sent porteur du tout et vit une approche de type holomorphique; chaque fonction est porteuse du tout et chacun se sent responsable de la pérennité [du groupe].

Je retrouve dans mon journal, des notes publiées pour un point d'étape après
deux ans et demi chez Mozilla :

> Dire que l'on comprends pour éviter de passer pour un idiot est un biais qui
> se prends assez rapidement, et qu'il faut éviter à tout prix.
> 
> Connaître ses limites techniques est un bon début pour pouvoir les
> surpasser. Chercher à les rencontrer est un processus actif.
>
> — Notes perso de 2014 (il y a 10 ans)

## Poser un cadre

Une des choses qui m'a énormément aidé à été de me poser un cadre de travail et de m'y tenir. 

Travailler sur des horaires spécifiques, rester concentré uniquement sur des tâches liées au travail m'est un peu étrange : parfois j'ai envie de penser à autre chose, parfois j'ai envie de travailler le soir, et de faire autre chose en journée. C'est l'un des avantages de travailler en tant qu'indépendant, mais c'est aussi, bien-sur, un piège. Pour le moment, j'ai décidé de cadrer fortement, en allant travailler
dans un lieu autre que chez moi, et je suis assez content de ce que cette séparation m'apporte.

Aussi, je me retrouve à vouloir poser un cadre **relationnel** dans mon travail. Comment faire la séparation entre la relation professionnelle et la relation personnelle ? Est-ce souhaitable ?

Il y a quelques années, c'est une question que je n'avais pas considérée, mais les les moments de désaccords et leur impact sur ma vie personnelle me donnent envie de poser une séparation. Séparation d'ailleurs questionnée par bell hooks [dans son livre "La volonté de changer"](https://blog.notmyidea.org/la-volonte-de-changer.html).

J'ai envie maintenant de clarifier ce genre de situations avant même de
commencer à travailler: je me connais mieux, et je sais ce dont j'ai besoin, et ce que ces limites peuvent apporter dans les moments de difficulté pro. 

Je me rends compte de la qualité de travail et de relation que cela amène. Je veux de la clarté, et je sais la demander quand elle me semble utile.

## Du soin dans nos collectifs

Aussi, une des envies pour cette *saison* 2024-2025 est de me donner de l'espace pour me former sur la gestion des conflits.

Mon expérience m'a montré que parfois, des collectifs qui souhaitent travailler en auto-gestion créent en fait de la souffrance dans leurs structures, vécue durement par les personnes qui composent ces collectifs.

Le sujet me passionne à la fois parce que cette souffrance fait perdre beaucoup d'élan personnel, et peut mener à des situations de détresse psychologique ; mais aussi parce que je souhaite sincèrement trouver des outils qui permettent à nos collectifs de tenir la route sur le moyen terme.
