---
title: Deux mille vingt quatre
lang: fr
---

2024 aura été pour moi le retour vers le développement logiciel, après quelques années à monter puis à faire tourner [une brasserie](https://vieuxsinge.com).

Une année (et demi) bien remplie avec les projets suivants :

## Argos

[Argos Monitoring](https://argos-monitoring.framasoft.org/), un projet sur lequel j'ai bossé fin 2023 pour l'association [Framasoft](https://framasoft.org/). Ça aura été à la fois un plaisir et… une sorte d'honneur, que de bosser sur ce système de supervision de services HTTP. L'idée principale était de faire un outil facilement adaptable aux besoins de Luc, actuellement le seul administrateur derrière tous les services de Frama.

J'étais content de travailler pour et avec Framasoft, qui défendent les idées du logiciel libre depuis des années. J'ai eu l'impression de répondre à un vrai besoin de leur côté, tout en étant en plein dans mon domaine de compétences. J'avais besoin de « remettre un pied à l'étrier », c'était une bonne occasion de me rappeler que je « sais » coder.

Une mission assez courte (10 jours de travail). J'en suis ressort satisfait, à la fois du résultat et de la manière dont on a pu travailler sur le projet. Luc continue de rajouter des fonctionnalités et de faire la maintenance : objectif atteint !

## Collaboration temps réel dans uMap

Ensuite, j'ai travaillé sur l'ajout de collaboration temps réel dans l'outil de cartographie Web [uMap](https://umap-project.org/). L'occasion de bosser avec Yohan et David, que je côtoie depuis longtemps, mais avec qui je n'avais pas travaillé.

Ce qui devait être un petit projet de quelques mois s'est en fait étalé sur quasiment un an (à deux jours par semaine). La découverte des [CRDTs](https://blog.notmyidea.org/a-comparison-of-javascript-crdts.html) et le temps de comprendre comment le code fonctionnait côté uMap. Ça aura aussi été l'occasion de moderniser un peu le code, et de réfléchir à des aspects plus long terme autour de la gouvernance du projet.

J'ai [documenté mes avancées](https://blog.notmyidea.org/tag/umap.html) au fur et à mesure de l'année. Les derniers bouts sont encore à assembler, ce qui devrait avoir lieu au cours de l'année 2025.

## Dangerzone

En juin 2024, j'ai rejoint l'équipe qui maintient et fait évoluer le logiciel [Dangerzone](https://dangerzone.rocks/): un outil qui transforme des documents potentiellement dangereux en documents *sûrs*, pour le compte de la [Freedom of the Press Foundation](https://freedom.press).

Très content de (re)travailler sur des outils qui protègent la vie privée. Ici pour des journalistes et militant·es qui sont malheureusement la cible d'attaques (parfois de la part de gouvernements, mais pas seulement). Pour moi, la découverte d'un monde technique un poil plus éloigné de ma zone de compétences. L'utilisation des conteneurs est une nouveauté pour moi, ce qui me permet de découvrir quelques subtilités du [noyau Linux](https://kernel.org).

J'ai le bonheur de travailler au quotidien avec une personne à l'écoute et avec qui la collaboration est fluide, tout en apprenant et en contribuant à un outil utile. \o/

---

## Apprentissages

Comme d'habitude, ça aura été aussi quelques apprentissages. En vrac:

### L'accueil

Ça a été criant pour moi sur « Dangerzone » puisque
j'y travaille sur des technologies auxquelles je n'ai quasiment jamais été
exposé jusqu'ici (docker, le noyau Linux et Qt). 

Je continue de me rendre compte que les compétences techniques ne sont qu'une partie de l'équation, et pas la plus importante. La manière dont nous interagissons ensemble, dont l'accueil est pensé, dont finalement nous « faisons équipe » me semble plus importante pour la pérennité du projet sur le long-court, que les compétences techniques « pures ».

Je repense [aux étapes du faire équipe](https://blog.notmyidea.org/oser-la-confiance.html#faire-equipe), qui nous montrent qu'il est indispensable de sortir de « la logique des territoires » (qu'on pourrait nommer compétition) pour aller vers une vraie collaboration.

> Dans l’équipe performante, troisième étape, **les personnes ont suffisamment conscience de leur identité et de leur complémentarité pour pouvoir la dépasser et se centrer sur le sens et la vision commune**. Chacun se sent porteur du tout et vit une approche de type holomorphique; chaque fonction est porteuse du tout et chacun se sent responsable de la pérennité [du groupe].

Je retrouve dans mon journal, des notes publiées pour un point d'étape après
deux ans et demi chez Mozilla :

> Dire que l'on comprend pour éviter de passer pour un idiot est un biais qui
> se prend assez rapidement, et qu'il faut éviter à tout prix.
> 
> Connaître ses limites techniques est un bon début pour pouvoir les
> surpasser. Chercher à les rencontrer est un processus actif.
>
> — Notes perso de 2014 (il y a 10 ans)

Derrière cette question de l'accueil s'en cache une autre, autour des limites des un·es et des autres. Comment elles sont posées, écoutées et respectées. Une « bonne » équipe *sait* les poser, les écouter et s'y adapter.

### Poser un cadre

Une des choses qui m'a énormément aidé a été de me poser un cadre de travail, de m'y tenir autant que possible, et de le faire accepter aux autres quand c'était nécessaire.

Travailler sur des horaires spécifiques, rester concentré uniquement sur des tâches liées au travail m'est un peu étrange : parfois, j'ai envie de penser à autre chose, parfois, j'ai envie de travailler le soir, et de faire autre chose en journée. C'est l'un des avantages de travailler en tant qu'indépendant, mais c'est aussi, bien-sûr, un piège. Pour le moment, j'ai décidé de cadrer fortement, en allant travailler
dans un lieu autre que chez moi, et je suis assez content de ce que cette séparation m'apporte.

Aussi, je me retrouve à vouloir poser un cadre **relationnel** dans mon travail. Comment faire la séparation entre la relation professionnelle et la relation personnelle ? Est-ce souhaitable ?

Il y a quelques années, c'est une question que je n'avais pas considérée, mais certains moments de désaccords et leur impact sur ma vie personnelle me donnent envie de poser une séparation. Séparation d'ailleurs questionnée par bell hooks [dans son livre "La volonté de changer"](https://blog.notmyidea.org/la-volonte-de-changer.html).

J'ai envie maintenant de clarifier ce genre de situations avant même de
commencer à travailler : je me connais mieux, et je sais ce dont j'ai besoin, et ce que ces limites peuvent apporter dans les moments de difficulté pro. 
Je me rends compte de la qualité de travail et de relation que cela amène. Je veux de la clarté, et je sais la demander quand elle me semble utile. Une des découvertes est la capacité des équipes et des personnes à... les accepter quand elles leur sont posées clairement. Une vraie belle découverte.

### Du soin dans nos collectifs

Une de mes envies est de me donner de l'espace pour continuer à me former sur la gestion des conflits, et sur la *facilitation* dans les collectifs.

Mon expérience m'a montré que parfois, des collectifs qui souhaitent travailler en auto-gestion créent *en fait* de la souffrance dans leurs structures, sans nécessairement savoir se remettre en question. Ça questionne fortement mes valeurs collectivistes, et me donne envie de connaître plus d'outils pour éviter ces écueils et leurs conséquences, parmi lesquelles une détresse psychologique qui peut faire perdre beaucoup d'élan personnel.

[Quelques](/oser-la-confiance.html) [lectures](/le-conflit-nest-pas-une-agression.html) intéressantes [sur](/lart-de-conter-nos-experiences-collectives.html) [le sujet](https://universite-du-nous.org/re-inventons-le-faire-ensemble), mais aussi des rencontres humaines dans cette année écoulée. J'aimerais me donner plus de temps pour continuer cette exploration en 2025, entre autres avec plus de mise en pratique.

### Estime de soi

Et finalement, je ne peux pas finir cette note sans parler de confiance en moi et d'estime de moi.

Une des choses qui m'aura demandé du temps aura été de reprendre confiance en moi. Apprécier la valeur de mes idées, arrêter de jeter un regard si dur sur moi-même.

Il fallait défaire plusieurs années de mauvaises habitudes, de critique et de dévalorisation, finalement quasi intériorisée.
Démêler la part de vérité dans ma peur de ne pas être à la hauteur, et tout simplement accepter de souffler : la vie n'est pas qu'un combat.

Le résultat est que le stress s'efface petit à petit, laissant la place à de la légèreté et du plaisir. Tout en posant les limites quand elles sont nécessaires.
