---
title: Se vouloir du bien et se faire du mal
author: Maxime Rovere
headline: Philosophie de la dispute
tags: conflit, philosophie
isbn: 9782080289766
status: draft
---

J'ai lu ce bouquin suite à [une vidéo publiée sur « les idées larges »](https://www.youtube.com/watch?v=icZNfugCBIU), et ça avait piqué ma curiosité. Un ami m'a prêté le livre.

La philo, c'est parfois un peu 

> Nous pouvons rentrer ans les détails de cette panique en distinguant trois opérations mentales qui, au départ, sont simplement des glissements de sens. Leur accumulation constitue un sorte d'accident au carré:
> 
> 1. La première opération que fait celui qui « subit » un accident provoqué par quelqu'un d'autre consiste à **faire abstraction du contexte pour détacher l'événement et le juger comme une pièce isolée**. En effet, lorsqu'on se scandalise d'une attitude ou de propos prononcés, on dramatise l'interprétation que l'on en donne en refusant de tenir compte du sens qu'ils ont pour leur agent dans ces conditions précises. On arrache ainsi l'accident aux coordonnées qui lui donnent des proportions limitées  [...].
> 2. La seconde opération par laquelle la réaction aggrave les choses consiste en un glissement de sens qui permet d'ériger l'accident en cas particulier d'une vérité générale. [...] Un événement survenu de manière aléatoire, donc potentiellement anodin, se retrouve alors en charge des enjeux les plus sérieux. [...]
> 3. Enfin, la troisième opération considère l'agent comme la cause de son acte : en rapportant l'accident à la personne, on le lui attribue comme une chose qui lui appartient. 

Dans ce dernier point, la question de « l'observateur » est soulevée :

> [...] le biais principal de ce jugement est qu'on l'estime par définition *indépendant de l'observateur*, alors que tout accident (y compris prémédité) dépend d'une causalité circulaire (action, réaction) où le soi-disant observateur lui-même joue un rôle. Donc, l'erreur de l'imputation ne consiste pas seulement à considérer un individu comme la cause unique et linéaire de ses actes [...], **elle consiste aussi à retirer au soi-disant observateur son rôle d'agent, autrement dit son implication, ce qui lui retire aussi sa force d'agir**. Dans ces conditions, il ne faut qu'une pichenette pour qu'il se représente lui même dans une posture purement passive : celle de la victime.

> Désormais, ce n'est plus la personne qui dérape qui est en cause mais celle qui lui fait face. La mère qui hurle parce que sa fille s'est montrée insolente, l'amant qui boude parce que certaines phrases ou attitudes l'ont humiliée.


> Il nous faut donc admettre que, du point de vue de l'émotion, l'indignation morale se définit comme une attitude *réactive* qui s'inscrit dans la spirale où les échanges s'enveniment et deviennent dangereux. Quelle que soit sa légitimité, elle est l'un des ingrédients fondamentaux de toute querelle. À mesure qu'un individu impute à un autre les effets d'un accident, sa réaction entame les liens qui les unissent [...]

On ne cherche pas ici à savoir qui à raison ou bien qui a tord, mais à comprendre ce qui continue d'entretenir la logique du conflit. De ce point de vue, la morale semble un peu *décalée* : le fait qu'elle justifie une posture alimente le conflit, plutôt que de le mettre à distance.

Ce passage fait mention de cette problématique, mais la mets de côté assez rapidement, de manière un peu facile, si on me demande :

> En faisait de l'indignation une valeur en soi, on donne à la réalité des émotions une dimension de vérité qu'elles n'ont pas. Il devient alors impossible de faire la différence entre les formes les plus opposées de militantisme, car c'est la même indignation qui anime les « pour » et les « contre », le même sentiment d'inacceptable qui jette les électeurs dans les rues ou à l'assaut des édifices publics, la même énergie politique qui fait les résistants comme les terroristes.

Il me semble que c'est là la posture du stoïcisme avec laquelle j'ai parfois du mal : je comprends ce qui se joue ici, l'objectif étant de redescendre et de ne pas participer au conflit, et en même temps je ne peux m'empêcher d'y voir une volonté de « trouver un juste milieu » et de maintenir un status-quo, peu importe son coup pour les *agents*. 

> Avant de poursuivre, ou pourrait objecter qu'une société qui aurait désappris à se scandaliser finirait par accepter l'inacceptable : les victimes y seraient sans cesse incitées à « s'adapter » et les coupables n'auraient plus honte de rien, puisque la « honte » passerait alors automatiquement du côté des victimes. Les éloges de l'indignation tendent ainsi à la présente comme une forme de résistance qui permet de restituer la honte au coupables, là où elle leur fait prendre conscience de la gravité de leurs gestes. 